ELIterateTag (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.strutsel.taglib.logic
Class ELIterateTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts.taglib.logic.IterateTag
                  org.apache.strutsel.taglib.logic.ELIterateTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, Tag

    public class ELIterateTag

extends IterateTag

Custom tag that iterates the elements of a collection, which can be either an attribute or the property of an attribute. The collection can be any of the following: an array of objects, an Enumeration, an Iterator, a Collection (which includes Lists, Sets and Vectors), or a Map (which includes Hashtables) whose elements will be iterated over.

This class is a subclass of the class `org.apache.struts.taglib.logic.IterateTag` which provides most of the described functionality. This subclass allows all attribute values to be specified as expressions utilizing the JavaServer Pages Standard Library expression language.

Version:
  $Rev: 471754 $
See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.taglib.logic.IterateTag
`collection, id, indexId, iterator, length, lengthCount, lengthValue, messages, name, offset, offsetValue, property, scope, started, type`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`ELIterateTag()`

Method Summary
`int` | `doStartTag()` Process the start tag.
`String` | `getCollectionExpr()` Getter method for "collection" tag attribute.
`String` | `getIdExpr()` Getter method for "id" tag attribute.
`String` | `getIndexIdExpr()` Getter method for "indexId" tag attribute.
`String` | `getLengthExpr()` Getter method for "length" tag attribute.
`String` | `getNameExpr()` Getter method for "name" tag attribute.
`String` | `getOffsetExpr()` Getter method for "offset" tag attribute.
`String` | `getPropertyExpr()` Getter method for "property" tag attribute.
`String` | `getScopeExpr()` Getter method for "scope" tag attribute.
`String` | `getTypeExpr()` Getter method for "type" tag attribute.
`void` | `release()` Releases state of custom tag so this instance can be reused.
`void` | `setCollectionExpr(String collectionExpr)` Setter method for "collection" tag attribute.
`void` | `setIdExpr(String idExpr)` Setter method for "id" tag attribute.
`void` | `setIndexIdExpr(String indexIdExpr)` Setter method for "indexId" tag attribute.
`void` | `setLengthExpr(String lengthExpr)` Setter method for "length" tag attribute.
`void` | `setNameExpr(String nameExpr)` Setter method for "name" tag attribute.
`void` | `setOffsetExpr(String offsetExpr)` Setter method for "offset" tag attribute.
`void` | `setPropertyExpr(String propertyExpr)` Setter method for "property" tag attribute.
`void` | `setScopeExpr(String scopeExpr)` Setter method for "scope" tag attribute.
`void` | `setTypeExpr(String typeExpr)` Setter method for "type" tag attribute.

Methods inherited from class org.apache.struts.taglib.logic.IterateTag
`doAfterBody, doEndTag, getCollection, getId, getIndex, getIndexId, getLength, getName, getOffset, getProperty, getScope, getType, setCollection, setId, setIndexId, setLength, setName, setOffset, setProperty, setScope, setType`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doInitBody, getBodyContent, getPreviousOut, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Constructor Detail

### ELIterateTag

    public ELIterateTag()

Method Detail

### getCollectionExpr

    public String getCollectionExpr()

  Getter method for "collection" tag attribute. (Mapping set in associated BeanInfo class.)

### getIdExpr

    public String getIdExpr()

  Getter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### getIndexIdExpr

    public String getIndexIdExpr()

  Getter method for "indexId" tag attribute. (Mapping set in associated BeanInfo class.)

### getLengthExpr

    public String getLengthExpr()

  Getter method for "length" tag attribute. (Mapping set in associated BeanInfo class.)

### getNameExpr

    public String getNameExpr()

  Getter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### getOffsetExpr

    public String getOffsetExpr()

  Getter method for "offset" tag attribute. (Mapping set in associated BeanInfo class.)

### getPropertyExpr

    public String getPropertyExpr()

  Getter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### getScopeExpr

    public String getScopeExpr()

  Getter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### getTypeExpr

    public String getTypeExpr()

  Getter method for "type" tag attribute. (Mapping set in associated BeanInfo class.)

### setCollectionExpr

    public void setCollectionExpr(String collectionExpr)

  Setter method for "collection" tag attribute. (Mapping set in associated BeanInfo class.)

### setIdExpr

    public void setIdExpr(String idExpr)

  Setter method for "id" tag attribute. (Mapping set in associated BeanInfo class.)

### setIndexIdExpr

    public void setIndexIdExpr(String indexIdExpr)

  Setter method for "indexId" tag attribute. (Mapping set in associated BeanInfo class.)

### setLengthExpr

    public void setLengthExpr(String lengthExpr)

  Setter method for "length" tag attribute. (Mapping set in associated BeanInfo class.)

### setNameExpr

    public void setNameExpr(String nameExpr)

  Setter method for "name" tag attribute. (Mapping set in associated BeanInfo class.)

### setOffsetExpr

    public void setOffsetExpr(String offsetExpr)

  Setter method for "offset" tag attribute. (Mapping set in associated BeanInfo class.)

### setPropertyExpr

    public void setPropertyExpr(String propertyExpr)

  Setter method for "property" tag attribute. (Mapping set in associated BeanInfo class.)

### setScopeExpr

    public void setScopeExpr(String scopeExpr)

  Setter method for "scope" tag attribute. (Mapping set in associated BeanInfo class.)

### setTypeExpr

    public void setTypeExpr(String typeExpr)

  Setter method for "type" tag attribute. (Mapping set in associated BeanInfo class.)

### release

    public void release()

  Releases state of custom tag so this instance can be reused.

  Specified by:
    `release` in interface `Tag`
  Overrides:
    `release` in class `IterateTag`

### doStartTag

    public int doStartTag()
                   throws JspException

  Process the start tag.

  Specified by:
    `doStartTag` in interface `Tag`
  Overrides:
    `doStartTag` in class `IterateTag`
  Throws:
    `JspException` - if a JSP exception has occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.